﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.1
@EndOfDesignText@
Sub Class_Globals
	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	
End Sub

Sub CreateRequest(Target As Object) As DBRequestManager
	Private req As DBRequestManager
	req.Initialize(Target, global.rdcLink)
	Return req
End Sub

Public Sub CreateCommand(Name As String, Parameters() As Object) As DBCommand
	Dim cmd As DBCommand
	cmd.Initialize
	cmd.Name = Name
	If Parameters <> Null Then cmd.Parameters = Parameters
	Return cmd
End Sub

Public Sub GetRecord (Command As String, parameters() As String) As ResumableSub
	Dim Answer As Map
	Answer.Initialize
	Dim req As DBRequestManager = CreateRequest(Me)
	Dim cmd As DBCommand = CreateCommand(Command, parameters)
	Wait For (req.ExecuteQuery(cmd, 0, Null)) JobDone(j As HttpJob)
	Answer.Put("Success", j.Success)
	If j.Success Then
		req.HandleJobAsync(j, "req")
		Wait For (req) req_Result(Res As DBResult)
		'work with result
		req.PrintTable(Res)
		Answer.Put("Message","Data have been read successfully")
	Else
		Log("ERROR: " & j.ErrorMessage)
		Answer.Put("Error", j.ErrorMessage)
	End If
	j.Release
	Answer.Put("Data",Res)
	'req.PrintTable(Res)
	Return Answer
End Sub

Public Sub InsertUpdateRecord (Target As Object, Command As String, parameters() As String) As ResumableSub
	Dim Answer As Map
	Answer.Initialize
	Dim cmd As DBCommand = CreateCommand(Command, parameters)
	Dim j As HttpJob = CreateRequest(Target).ExecuteBatch(Array(cmd), Null)
	Wait For(j) JobDone(j As HttpJob)
	If j.Success Then
		Log("successfully!")
	End If
	Answer.Put("Success",j.Success)
	Answer.Put("Error", j.ErrorMessage)
	j.Release
	Return Answer
End Sub

