﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9.1
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Private xui As XUI
End Sub


Public Sub CreateButton (EventName As String, Text As String) As B4XView
	Dim Btn As Button
	Dim FontSize As Int = 14
	#if B4i
	Btn.InitializeCustom(EventName, xui.Color_Black, xui.Color_White)
	FontSize = 16
	#else
	Btn.Initialize(EventName)
	#End If
	Dim x As B4XView = Btn
	
	x.Font =  xui.CreateFontAwesome(FontSize)
	x.Visible = False
	x.Text = Text
	Return x
End Sub


public Sub SetColumnAlignment(tableName As B4XTable, columnID As String, alignment As String)
	Dim column As B4XTableColumn = tableName.GetColumn(columnID)
	For i = 1 To column.CellsLayouts.Size - 1        'starts at 1 due to header
		Dim pnl As B4XView = column.CellsLayouts.Get(i)
		If pnl.GetView(0) Is Label Then
			Private l As Label = pnl.GetView(0)
			CSSUtils.SetStyleProperty(l,"-fx-padding","0 10 0 10")
		End If
		pnl.GetView(0).SetTextAlignment("CENTER", alignment.ToUpperCase)
	Next
End Sub
