﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	
	Private per 				As Period
	
	Public  Root	 			As B4XView
	Private xui 				As XUI
	Private pnlMenu 			As B4XView
	Private imvLogo 			As B4XImageView

	Private lblUser 			As Label
	Private lblUserName 		As Label
	Private lblNotifications 	As Label
	Private lblClose 			As Label
	Public  lblInfo1 			As Label
	Public  lblMessage 			As Label
	Private lblInfo2 			As Label
	Private lblInfo3 			As Label
	Private lblInfo4 			As Label
	Private imvIcon 			As B4XImageView
	
	Private lblMonthName 		As Label
	Private lblYear 			As Label
	Private lblCalNext 			As Label
	Private lblCalPrev 			As Label
	Private lblToday 			As Label
	Private clvMenu 			As CustomListView
	
	Private lblMenu		 		As Label
	Private lblMenuIcon 		As Label
	
	Private lblSelected 		As Label
	
	Public  vpForms 			As TabPane
	
	Private RDC 				As jRDC
	
	Private dialogExit 			As B4XDialog
	
	Public  lblStockBadge 		As Label
	Public  lblAppBadge 		As Label
	
End Sub

Public Sub Initialize
	
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	
	Metro.ApplyTheme(Main.MainForm,"Dark")
	
	RDC.Initialize
	
	stylePage
	makeMenu
	addPages
    
	B4XPages.GetManager.LogEvents = True
		
End Sub

Private Sub stylePage
	
	
	clvMenu.AsView.SetColorAndBorder(xui.Color_ARGB(255,0,56,70),0,0,0)
	clvMenu.sv.SetColorAndBorder(xui.Color_ARGB(255,0,56,70),0,0,0)
	clvMenu.GetBase.SetColorAndBorder(xui.Color_ARGB(255,0,56,70),0,0,0)
	
	SetMinMaxTabSize(vpForms,0dip,0dip)
	
	dialogExit.Initialize(Root)
	
	lblStockBadge.Visible = False
	lblAppBadge.Visible = False
	
	per.Initialize
	per.Days = 13
	
End Sub

private Sub makeMenu
'	Private req As DBRequestManager = RDC.CreateRequest(Me)
'	Private cmd As DBCommand = RDC.CreateCommand("select_menu", Null)
'	
'	Wait For (req.ExecuteQuery(cmd, 0, Null)) JobDone(j As HttpJob)
'	If j.Success Then
'		req.HandleJobAsync(j, "req")
'		Wait For (req) req_result(res As DBResult)
'		
'		For Each row() As Object In res.Rows
'			Private iconD As String = IIf(row(7) <> Null And row(7) <> "null",row(7),"")
'			clvMenu.Add(CreateItem(60dip, row(1), iconD), iconD)
'		Next
'		
'	End If
'	
'	Private pf As Pane
'	pf.Initialize("")
'	pf.Alpha = 0
'	pf.PrefWidth = pnlMenu.Width
'	pf.PrefHeight = pnlMenu.Height - (clvMenu.Size - 1) * 60dip
'	clvMenu.Add(pf,99)
'	
'	If clvMenu.Size > 0 Then
'		Private p As Pane = clvMenu.GetPanel(1)
'		Private l As Label
'		l = p.GetNode(2)
'		l.Visible = True
'	End If
	
End Sub

Private Sub lblYear_MouseClicked (EventData As MouseEvent)
	
End Sub

Private Sub lblMonthName_MouseClicked (EventData As MouseEvent)
	
End Sub

Private Sub CreateItem(Width As Double, p As String, i As String) As B4XView
	Private pn As Pane
	pn.Initialize("pn")
	pn.SetLayoutAnimated(0, 0, 0, Width, 60dip)
	If i = "" Then
		pn.LoadLayout("menugroup")
	Else
		pn.LoadLayout("menuitem")
		lblMenuIcon.Text = global.icons.Get(i)
		lblMenuIcon.Alignment = "CENTER"
		lblSelected.Alignment = "CENTER"
	End If
	lblMenu.Text = p
	lblMenu.Alignment = "CENTER_LEFT"
	Return pn
End Sub

Private Sub clvMenu_ItemClick (Index As Int, Value As Object)
	If Value <> "" Then
		
		Private i As Int
		
		For i = 0 To clvMenu.Size - 1
			Private p As Pane = clvMenu.GetPanel(i)
			Private l As Label
			
			Try
				l = p.GetNode(2)
			Catch
				Continue
			End Try
			
			If (i <> Index) Then
				l.Visible = False
			Else
				l.Visible = True
			End If
		Next
		
		vpForms.SelectedIndex = Index - 1
		
		Sleep(0)
		Select Index
			Case 1
				fSuppliers.txtCode.RequestFocus
			Case 2
				fCustomers.txtCode.RequestFocus
		End Select
		
	End If
	
End Sub

Private Sub addPages
	fSuppliers.initialize
	fCustomers.initialize
	stockUtils.initialize
End Sub

Sub SetMinMaxTabSize(tp As TabPane, width As Double, height As Double)
	Dim jo As JavaObject = tp
	jo.RunMethod("setTabMaxWidth", Array(width))
	jo.RunMethod("setTabMaxHeight", Array(height))
	jo.RunMethod("setTabMinWidth", Array(width))
	jo.RunMethod("setTabMinHeight", Array(height))
End Sub

Private Sub lblClose_MousePressed (EventData As MouseEvent)
	ShowDialogExit
End Sub

Sub ShowDialogExit
	dialogExit.Title = "Κλείσιμο Εφαρμογής"
	dialogExit.BackgroundColor = xui.Color_RGB(30,30,40)
	dialogExit.TitleBarColor = xui.Color_RGB(0,56,70)
	dialogExit.ButtonsColor = xui.Color_RGB(0,150,190)
	Wait For (dialogExit.Show("Θέλετε σίγουρα να κλείσετε την Εφαρμογή;", "ΝΑΙ", "ΟΧΙ", "")) Complete (Result As Int)
	If Result = xui.DialogResponse_Positive Then
		ExitApplication
	End If
End Sub

Sub KeyListener_KeyPressed (KeyCode As String) As Boolean
	If KeyCode.Length >= 2 Then
		If KeyCode.ToUpperCase.StartsWith("F") Then
			Select KeyCode
				Case "F9"
					Select vpForms.SelectedIndex
						Case 0
							If fSuppliers.lblRecStatus.Tag = "QRY" Then
								fSuppliers.ShowDialogLOV
							End If
						Case 1
							If fCustomers.lblRecStatus.Tag = "QRY" Then
								fCustomers.ShowDialogLOV
							End If
					End Select
				Case "F10"
					Select vpForms.SelectedIndex
						Case 0
							fSuppliers.doSaveRec
						Case 1
							fCustomers.doSaveRec
					End Select
				Case "F7"
					Select vpForms.SelectedIndex
						Case 0
							fSuppliers.doSearch
						Case 1
							fCustomers.doSearch
					End Select
				Case "F8"
					Select vpForms.SelectedIndex
						Case 0
							fSuppliers.doExecQuery
						Case 1
							fCustomers.doExecQuery
					End Select
				Case "F4"
					Select vpForms.SelectedIndex
						Case 0
							fSuppliers.doAddRec
						Case 1
							fCustomers.doAddRec
					End Select
				Case "F5"
					Select vpForms.SelectedIndex
						Case 0
							fSuppliers.showDialogDel
						Case 1
							fCustomers.showDialogDel
					End Select
			End Select
			Return True
		Else
			Select KeyCode.ToUpperCase
				Case "ENTER"
					Select vpForms.SelectedIndex
						Case 0
							Return False
						Case 1
							Return False
					End Select
				Case "BACKSPACE"
					Select vpForms.SelectedIndex
						Case 0
							Return False
						Case 1
							Return False
					End Select
			End Select
		
		End If
	
	End If

	Return False
	
End Sub


Private Sub lblNotifications_MousePressed (EventData As MouseEvent)
	If lblStockBadge.Visible Then
		stockUtils.ShowDialogLowStock
	End If
End Sub

Private Sub vpForms_FocusChanged (HasFocus As Boolean)
	Try
		If HasFocus Then
			Sleep(0)
			Select vpForms.SelectedIndex
				Case 0
					fSuppliers.txtCode.RequestFocus
				Case 1
					fCustomers.txtCode.RequestFocus
			End Select
		End If
	Catch
		Log("Error")
	End Try
End Sub