﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9.1
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
End Sub

Public Sub initialize
	
End Sub

Private Sub isNull(o As Object) As Boolean
	Return((o = Null) Or (o = "null") Or (o = ""))
End Sub

Public Sub ifNull(o As Object, default As Object) As Object
	If isNull(o) Then
		Return default
	Else
		Return o
	End If
End Sub

Public Sub ColorToHex(clr As Int) As String
	Dim bc As ByteConverter
	Return bc.HexFromBytes(bc.IntsToBytes(Array As Int(clr)))
End Sub

Public Sub HexToColor(Hex As String) As Int
	Dim bc As ByteConverter
	If Hex.StartsWith("#") Then
		Hex = Hex.SubString(1)
	Else If Hex.StartsWith("0x") Then
		Hex = Hex.SubString(2)
	End If
	Dim ints() As Int = bc.IntsFromBytes(bc.HexToBytes(Hex))
	Return ints(0)
End Sub

Public Sub GetColor(hex As String) As Double
	Dim r,g,b As Int
	' #E3E2E1
	'Log(hex.SubString2(1,3))
	r = Bit.ParseInt(hex.SubString2(1,3), 16)
	g = Bit.ParseInt(hex.SubString2(3,5), 16)
	b = Bit.ParseInt(hex.SubString2(5,7), 16)
	Return fx.Colors.RGB(r, g, b)
End Sub

Public Sub setNumber(s As String) As String
	Return DisplayDouble("el","GR",s)
End Sub

public Sub ConvNumToBool(cval As Int) As Boolean
	Private tmpBool As Boolean
	
	tmpBool = False
	
	Select Case ifNull(cval,0)
		Case 0
			tmpBool = False
		Case 1
			tmpBool = True
	End Select
	
	Return tmpBool
	
End Sub

public Sub ConvBoolToNum(cval As Boolean) As Int
	Private tmpVal As Int
	
	tmpVal = 0
	
	Select Case ifNull(cval,False)
		Case False
			tmpVal = 0
		Case True
			tmpVal = 1
	End Select
	
	Return tmpVal
	
End Sub

public Sub DisplayDouble(language As String, region As String, number As Double) As String
	Dim jo As JavaObject
	jo = jo.InitializeNewInstance("java.util.Locale.Builder", Null)
	Dim locale As JavaObject = jo.RunMethodJO("setLanguage", Array As Object(language)).RunMethodJO("setRegion", Array As Object(region)).RunMethod("build", Null)
	Dim numberFormatter As JavaObject = jo.InitializeStatic("java.text.NumberFormat").RunMethod("getNumberInstance", Array As Object(locale))
	Dim retVal As String = numberFormatter.RunMethod("format", Array As Object(number))
	Return retVal
End Sub